OSS version of packetbeat trying xpack endpoint

Packetbeat version 6.8.5 was working fine. When I upgraded to 7.6.1 I got an error while connecting to AWS elasticsearch server. I am using OSS version and as promised it wasn't trying any _xpack/ endpoints in the older version. What has changed since last 2-3 months?